Nux

Speedup startup time

Bug #842656 reported by Didier Roche on 2011-09-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Didier Roche
Unity
Fix Released
Medium
Didier Roche
nux (Ubuntu)
Medium
Didier Roche
unity (Ubuntu)
Undecided
Unassigned
unity-greeter (Ubuntu)
Medium
Didier Roche
xdiagnose (Ubuntu)
Medium
Didier Roche

Bug Description

This really on:
- insert in nux upstream the possibility to create a cache file on disk if test is successful (in /tmp which is erased at each reboot). If the cache file is there at next detection, just return 0.
- add a new Xsession.d file for nux to detect if the cache file is there for dynamically session switch (before gnome-session is started)
- change the xdiagnose apport hook to force the detection (no cache file used) and show any cache file present
- distro-patch the unity-greeter to run the nux tool async (so that it makes the detection and drop the file) while the user is typing his password.

Didier Roche (didrocks) on 2011-09-06
Changed in unity:
milestone: none → 4.14.0
assignee: nobody → Didier Roche (didrocks)
Changed in nux:
assignee: nobody → Didier Roche (didrocks)
Changed in nux (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in unity (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in unity-greeter (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Changed in nux:
status: New → In Progress
affects: unity (Ubuntu) → xorg (Ubuntu)
Changed in xorg (Ubuntu):
assignee: Didier Roche (didrocks) → nobody
Didier Roche (didrocks) on 2011-09-06
affects: xorg (Ubuntu) → xdiagnose (Ubuntu)
description: updated
Changed in xdiagnose (Ubuntu):
status: New → Fix Committed
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
Changed in unity-greeter (Ubuntu):
importance: Undecided → Medium
Changed in nux (Ubuntu):
importance: Undecided → Medium
Changed in unity:
importance: Undecided → Medium
Changed in nux:
importance: Undecided → Medium
Changed in unity:
status: New → In Progress
Didier Roche (didrocks) on 2011-09-06
Changed in nux:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-09-06
Changed in nux (Ubuntu):
status: New → Fix Committed
Didier Roche (didrocks) on 2011-09-06
Changed in unity-greeter (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 0.0.5-0ubuntu4

---------------
unity-greeter (0.0.5-0ubuntu4) oneiric; urgency=low

  * debian/patches/run_unity_support_test.patch:
    - try to run unity_support_test for ubuntu for pre-caching the
     result in /tmp for further call while the user is typing his
     password (LP: #842656)
 -- Didier Roche <email address hidden> Tue, 06 Sep 2011 17:24:37 +0200

Changed in unity-greeter (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-09-06
Changed in unity:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 1.6.0-0ubuntu2

---------------
nux (1.6.0-0ubuntu2) oneiric; urgency=low

  * tools/unity_support_test.c:
    - enables caching startup result
  * debian/50_check_unity_support, debian/nux-tools.install:
    - install new helper to check for unity support before logging into
      session (LP: #842656)
 -- Didier Roche <email address hidden> Tue, 06 Sep 2011 17:53:03 +0200

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdiagnose - 1.2

---------------
xdiagnose (1.2) oneiric; urgency=low

  * add support to the xorg apport hook for the new nux caching method:
    (LP: #842656)
    - unconditionnaly rerun the test and ignore the cache
    - attach available cache files if present
 -- Didier Roche <email address hidden> Tue, 06 Sep 2011 17:55:45 +0200

Changed in xdiagnose (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-09-08
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers